aboutsummaryrefslogtreecommitdiffstats
path: root/community/docker
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2017-01-20 16:01:44 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2017-01-20 16:01:59 +0000
commitabb2fae4290bed67466f7d6a60b6a47fff5befd2 (patch)
tree54b516ab14a2f1d6e2a948c446975b14e57e9541 /community/docker
parent087981dda35dcab35b050f5f4794be2f056fd444 (diff)
downloadaports-abb2fae4290bed67466f7d6a60b6a47fff5befd2.tar.gz
aports-abb2fae4290bed67466f7d6a60b6a47fff5befd2.tar.bz2
aports-abb2fae4290bed67466f7d6a60b6a47fff5befd2.tar.xz
community/docker: upgrade to 1.13.0
Diffstat (limited to 'community/docker')
-rw-r--r--community/docker/APKBUILD61
-rw-r--r--community/docker/docker-openrc-fixes.patch8
2 files changed, 44 insertions, 25 deletions
diff --git a/community/docker/APKBUILD b/community/docker/APKBUILD
index f25dc22018..370ad1a11f 100644
--- a/community/docker/APKBUILD
+++ b/community/docker/APKBUILD
@@ -1,6 +1,6 @@
# Maintainer: Eivind Uggedal <eivind@uggedal.com>
pkgname=docker
-pkgver=1.12.6
+pkgver=1.13.0
_ver=${pkgver/_/-}
pkgrel=0
_gitcommit=v$_ver
@@ -10,15 +10,21 @@ arch="all"
license="ASL 2.0"
depends="iptables git xz"
depends_dev=""
-makedepends="go sqlite-dev btrfs-progs-dev bash linux-headers coreutils libseccomp-dev"
+makedepends="go btrfs-progs-dev bash linux-headers coreutils libseccomp-dev"
options="!strip"
install="$pkgname.pre-install"
-# grep 'ENV.*COMMIT' Dockerfile.simple
-# ENV RUNC_COMMIT cc29e3dded8e27ba8f65738f40d251c885030a28
-# ENV CONTAINERD_COMMIT 0ac3cd1be170d180b2baed755e8f0da547ceb267
-_runc_ver=cc29e3dded8e27ba8f65738f40d251c885030a28
-_containerd_ver=0ac3cd1be170d180b2baed755e8f0da547ceb267
+# $ grep COMMIT hack/dockerfile/binaries-commits
+# TOMLV_COMMIT=9baf8a8a9f2ed20a8e54160840c492f937eeaf9a
+# RUNC_COMMIT=2f7393a47307a16f8cee44a37b262e8b81021e3e
+# CONTAINERD_COMMIT=03e5862ec0d8d3b3f750e19fca3ee367e13c090e
+# TINI_COMMIT=949e6facb77383876aeff8a6944dde66b3089574
+# LIBNETWORK_COMMIT=0f534354b813003a754606689722fe253101bc4e
+# VNDR_COMMIT=f56bd4504b4fad07a357913687fb652ee54bb3b0
+
+_runc_ver=2f7393a47307a16f8cee44a37b262e8b81021e3e
+_containerd_ver=03e5862ec0d8d3b3f750e19fca3ee367e13c090e
+_libnetwork_ver=0f534354b813003a754606689722fe253101bc4e
subpackages="
$pkgname-bash-completion:bashcomp:noarch
@@ -29,6 +35,7 @@ source="
$pkgname-$pkgver.tar.gz::https://github.com/docker/docker/archive/v$_ver.tar.gz
runc-$_runc_ver.tar.gz::https://github.com/opencontainers/runc/archive/$_runc_ver.tar.gz
containerd-$_containerd_ver.tar.gz::https://github.com/docker/containerd/archive/$_containerd_ver.tar.gz
+ libnetwork-$_libnetwork_ver.tar.gz::https://github.com/docker/libnetwork/archive/$_libnetwork_ver.tar.gz
docker-openrc-fixes.patch
"
@@ -39,6 +46,7 @@ _runc_buildtags="seccomp"
_runc_builddir="$srcdir"/runc-$_runc_ver
_containerd_builddir="$srcdir"/containerd-$_containerd_ver
+_libnetwork_builddir="$srcdir"/libnetwork-$_libnetwork_ver
_apply_patches() {
local _dir="$1"
@@ -70,16 +78,26 @@ build() {
unset CC # prevent possible ccache issues
# containerd
+ msg "building containerd"
cd "$_containerd_builddir" || return 1
mkdir -p src/github.com/docker/
ln -s "$_containerd_builddir" src/github.com/docker/containerd
GOPATH="$PWD" LDFLAGS="" make GIT_COMMIT="$_containerd_ver" || return 1
+ # libnetwork (docker-proxy)
+ msg "building docker-proxy"
+ cd "$_libnetwork_builddir" || return 1
+ mkdir -p src/github.com/docker/
+ ln -s "$_libnetwork_builddir" src/github.com/docker/libnetwork
+ GOPATH="$PWD" go build -v -ldflags="-linkmode=external" -o docker-proxy github.com/docker/libnetwork/cmd/proxy || return 1
+
# runc
+ msg "building runc"
cd "$_runc_builddir" || return 1
GOPATH="$PWD" make COMMIT="$_runc_ver" || return 1
# docker
+ msg "building docker"
cd "$builddir"
./hack/make.sh dynbinary
}
@@ -94,7 +112,7 @@ package() {
install -Dm755 bundles/$ver/dynbinary-daemon/dockerd-$ver \
"$pkgdir"/usr/bin/dockerd || return 1
- install -Dm755 bundles/$ver/dynbinary-daemon/docker-proxy-$ver \
+ install -Dm755 "$_libnetwork_builddir"/docker-proxy \
"$pkgdir"/usr/bin/docker-proxy || return 1
install -Dm755 "$_runc_builddir"/runc \
@@ -146,15 +164,18 @@ vim() {
done
}
-md5sums="2db317ab9811641449784fe0fb29d74f docker-1.12.6.tar.gz
-716d0b284ce42490eeb83befba10fafb runc-cc29e3dded8e27ba8f65738f40d251c885030a28.tar.gz
-f0a0c1101ad259b84fb457c8c7036723 containerd-0ac3cd1be170d180b2baed755e8f0da547ceb267.tar.gz
-41d0008283777d8ea7e8ab6ebe230c07 docker-openrc-fixes.patch"
-sha256sums="0413f3513c2a6842ed9cf837154c8a722e9b34cb36b33430348489baa183707e docker-1.12.6.tar.gz
-196b78c6caf1a4c6257314b393381baffa7c82bb2690ac02a7b3d6cd6cfe7776 runc-cc29e3dded8e27ba8f65738f40d251c885030a28.tar.gz
-5c1bcd8e3b7bc6034e7523b6eca7de974562b7fdc72c440494234ae10a0e545b containerd-0ac3cd1be170d180b2baed755e8f0da547ceb267.tar.gz
-13835e08cc7a7a530f19a037d9e1442f1393a6573bec60fe9d41b434c460200d docker-openrc-fixes.patch"
-sha512sums="98e0fa0ec0dad4d392188b0d2cf42b2b564403463c369e1fe060f1abc2e97d97375a88587080671ef905e6a34b991d83265f43c3112575af019cf85eef0c2c25 docker-1.12.6.tar.gz
-0bf8ce3bb15caaf09214f23a411003fd5b660d291662ad513c3d944647a0fa9b270d18902706b7e6aa3c30eb0f676e73af46b8249d1e2484e1dc40d6ffd5a80d runc-cc29e3dded8e27ba8f65738f40d251c885030a28.tar.gz
-a47200c2f867d6624e51eb1aa83743f1e0b86d96d462b7649c240f335eb72e499a00923e190759e57d4c456d912f9541750e9df21ebc2b713b87bea1ead55e7b containerd-0ac3cd1be170d180b2baed755e8f0da547ceb267.tar.gz
-42f35d9e7a82f6f4cc0b6a6ecfc1a970f935c54aa639873a49c5be5dc62a50503a9435ddfe5af74d378e1297b0e1509f5cbe84a7ba98bd0b51deeaa25495415d docker-openrc-fixes.patch"
+md5sums="23d3875ac67d5b67dd1918c45ba98537 docker-1.13.0.tar.gz
+ab5b858b721b2fc8b581645eb35e3634 runc-2f7393a47307a16f8cee44a37b262e8b81021e3e.tar.gz
+72e9315bde0c17f14d8a2fff8e0d2423 containerd-03e5862ec0d8d3b3f750e19fca3ee367e13c090e.tar.gz
+7cfbfe76355aae3577c77a6a4b2c92db libnetwork-0f534354b813003a754606689722fe253101bc4e.tar.gz
+a30850bae713fe1e6c54cccb3ab386e8 docker-openrc-fixes.patch"
+sha256sums="845cc9a7a48ed1cc60f062882285358a1c2a845b74c5d1d859606a28e4a47d3e docker-1.13.0.tar.gz
+75a702bfe4c3748246921d800c7ab7f9cabf27f69a3b64a2af66becb87d6acf7 runc-2f7393a47307a16f8cee44a37b262e8b81021e3e.tar.gz
+4abef872caf1f927f1f99af5b303c53acbb2fecfd9b30887fdaa540df192f47e containerd-03e5862ec0d8d3b3f750e19fca3ee367e13c090e.tar.gz
+823f6601361b02ae6a00bfc416b0286629dbf794d36fb65ba1d88eaa379f397b libnetwork-0f534354b813003a754606689722fe253101bc4e.tar.gz
+1023d0e8683add5d29f1bf296810486e825c3cf774056b15049158c9dc134e04 docker-openrc-fixes.patch"
+sha512sums="c5531f0c4bfeb541a4bf9b324830afaa27edb99f34990bdfa588843baa169edb1c2d545452ee8074a1ac322e7788952eb369db884c015e29763247e1e023172c docker-1.13.0.tar.gz
+2c2c925a1274eaef16d54881bfaa3e535956b67dd10eed87096ae9e7576234ff3598d37e635d3ce88c10fa9d102e79300bd48b69b972b6082f7acbfe2d4e90ea runc-2f7393a47307a16f8cee44a37b262e8b81021e3e.tar.gz
+7c320a8f8fc12ae74ccda00d0f2f45f66d7592b5d209a62553cff3463a6006d8ad0275e0ae4ef07879455a32767f1d33f8f0f34392d28be4e6c217eee0f36ca3 containerd-03e5862ec0d8d3b3f750e19fca3ee367e13c090e.tar.gz
+754cf6489968f3a83392c52b9445f71e8d5faca96e23ffc3ee2c6e8644bf065b64c7497395cf8fac9cc083ce9c7668260e319d01a8f10613e67db2d8254f6b06 libnetwork-0f534354b813003a754606689722fe253101bc4e.tar.gz
+8296b1bc88ef3dec4f9038c4e0bf83120ac5870860f6662eac9f9f8850ea8b7596bcd2b47932551e804ae8b6f6f26ad3bc4ce6d49600cc8eaf0a3016c15a9ccf docker-openrc-fixes.patch"
diff --git a/community/docker/docker-openrc-fixes.patch b/community/docker/docker-openrc-fixes.patch
index cd6f99cb3a..f379e42f13 100644
--- a/community/docker/docker-openrc-fixes.patch
+++ b/community/docker/docker-openrc-fixes.patch
@@ -13,7 +13,7 @@ diff --git a/contrib/init/openrc/docker.initd b/contrib/init/openrc/docker.initd
index f2e1536..20de85b 100644
--- a/contrib/init/openrc/docker.initd
+++ b/contrib/init/openrc/docker.initd
-@@ -9,11 +9,22 @@ DOCKER_LOGFILE="${DOCKER_LOGFILE:-/var/log/${RC_SVCNAME}.log}"
+@@ -9,9 +9,21 @@
start_stop_daemon_args="--background \
--stderr \"${DOCKER_LOGFILE}\" --stdout \"${DOCKER_LOGFILE}\""
@@ -25,15 +25,13 @@ index f2e1536..20de85b 100644
+
start_pre() {
checkpath -f -m 0644 -o root:docker "$DOCKER_LOGFILE"
+
+ for i in $disable_grsec; do
+ if [ -e "$grsecdir/$i" ]; then
+ einfo " Disabling $i"
+ echo 0 > "$grsecdir/$i"
+ fi
+ done
-
ulimit -n 1048576
-- ulimit -u 1048576
- return 0
- }
+ # Having non-zero limits causes performance problems due to accounting overhead